;;; nnone.el --- Gnus for a single article

(require 'rmail)
(require 'nnheader)
(require 'nnmail)
(require 'nnoo)
(eval-when-compile (require 'cl))

(nnoo-declare nnone)
(defvoo nnone-article-buffer nil)

(defconst nnone-version "nnone 1.0"
  "nnone version.")

(nnoo-define-basics nnone)

(deffoo nnone-retrieve-headers (articles &optional group server fetch-old)
  (save-excursion
    (set-buffer nntp-server-buffer)
    (erase-buffer)
    (unless (stringp (car articles))
      (insert "221 1 Article retrieved.\n")
      (insert-buffer nnone-article-buffer)
      (goto-char (point-max))
      (insert ".\n")
      (nnheader-fold-continuation-lines)))
  'headers)

(deffoo nnone-request-article (article &optional newsgroup server buffer)
  (save-excursion
    (set-buffer (or buffer nntp-server-buffer))
    (erase-buffer)
    (if (stringp article)
	nil
      (insert-buffer nnone-article-buffer)
      (goto-char (point-max))
      (insert "\n")
      t)))

(deffoo nnone-request-group (group &optional server dont-check)
  (save-excursion
    (set-buffer nntp-server-buffer)
    (erase-buffer)
    (insert "211 1 1 1 " group "\n"))
  t)

(deffoo nnone-close-group (group &optional server)
  (and nnone-article-buffer
       (buffer-name nnone-article-buffer)
       (kill-buffer nnone-article-buffer))
  (setq nnone-article-buffer nil)
  (nnoo-close-server 'nnone server)
  t)

(provide 'nnone)

;;; nnone.el ends here
